Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/include/vci_cc_vcache_wrapper.h
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/include/vci_cc_vcache_wrapper.h	(revision 456)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/include/vci_cc_vcache_wrapper.h	(revision 458)
@@ -549,8 +549,10 @@
     GenericFifo<uint32_t>   r_vci_rsp_fifo_dcache;	        // response FIFO to DCACHE FSM
     
-    GenericFifo<uint32_t>   r_cc_send_data_fifo;   
-
     //RWT
     GenericFifo<bool>       r_vci_rsp_fifo_rpktid;
+
+
+    GenericFifo<uint32_t>   r_cc_send_data_fifo;   
+
 
     ///////////////////////////////////
Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 456)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 458)
@@ -1117,5 +1117,5 @@
                 else
                 {
-			        r_icache_vci_paddr = (paddr_t)r_mmu_word_hi.read() << 32 |
+			        r_icache_vci_paddr = (uint64_t)r_mmu_word_hi.read() << 32 |
 				                         (paddr_t)r_mmu_word_lo.read();
 		        }
@@ -2247,5 +2247,5 @@
                 // we take into account the paddr extension
                 if (vci_param::N > 32) 
-                    paddr = paddr | ((paddr_t)(r_dcache_paddr_ext.read()) << 32);
+                    paddr = paddr | ((uint64_t)(r_dcache_paddr_ext.read()) << 32);
             }
         } // end physical address computation
@@ -2565,5 +2565,5 @@
                         else
                         {
-                            r_dcache_save_paddr = (paddr_t)r_mmu_word_hi.read() << 32 |
+                            r_dcache_save_paddr = ((uint64_t)r_mmu_word_hi.read()) << 32 |
                                                   (paddr_t)r_mmu_word_lo.read();
                         }
@@ -3325,10 +3325,10 @@
         }
 
-        uint32_t 	pte_flags;
-        uint32_t 	pte_ppn;
-        size_t   	way;
-        size_t   	set;
-        size_t		word;
-        int         cache_state;
+        uint32_t 	pte_flags       = 0;
+        uint32_t 	pte_ppn         = 0;
+        size_t   	way             = 0;
+        size_t   	set             = 0;
+        size_t		word            = 0;
+        int         cache_state     = 0;
 
         r_dcache.read( r_dcache_tlb_paddr.read(),
@@ -3860,5 +3860,5 @@
                     r_dcache_xtn_flush_data_cpt = 0;
                     r_dcache_cc_cleanup_updt_data = true;
-                    for (int w = 0; w< m_dcache_words; w++)
+                    for (size_t w = 0; w < m_dcache_words; w++)
                     {
                         m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
@@ -4100,5 +4100,5 @@
                     {
                         r_dcache_cc_cleanup_updt_data = true;
-                        for (int w = 0; w< m_dcache_words; w++)
+                        for (size_t w = 0; w< m_dcache_words; w++)
                         {
                             m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
@@ -4274,5 +4274,5 @@
                         {
                             r_dcache_cc_cleanup_updt_data = true;
-                            for (int w = 0; w< m_dcache_words; w++)
+                            for (size_t w = 0; w< m_dcache_words; w++)
                             {
                                 m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
@@ -4606,5 +4606,5 @@
                                         CACHE_SLOT_STATE_VALID_NCC );
                     r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_NOT_DIRTY;
-                    for (int word =0; word < m_dcache_words ; word++)
+                    for (size_t word = 0; word < m_dcache_words ; word++)
                     {
                         r_dcache_dirty_word[(way*m_dcache_sets +set)*m_dcache_words+word] = 0;
@@ -5197,5 +5197,5 @@
                 {
                     r_dcache_cc_cleanup_updt_data = true;
-                    for (int w = 0; w< m_dcache_words; w++)
+                    for (size_t w = 0; w < m_dcache_words; w++)
                     {
                         m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
